/****************************************************************************
 *
 * @file	srec.h
 * @brief	This is SRecord decode program.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 21 Feb, 2016	1.00
 *				- First revision.
 *
 ***************************************************************************/

#ifndef SREC_H_
#define SREC_H_

enum srec_type_t {
	SREC_TYPE_S0	= 0,
	SREC_TYPE_S1	= 1,
	SREC_TYPE_S2	= 2,
	SREC_TYPE_S3	= 3,
	SREC_TYPE_S4	= 4,
	SREC_TYPE_S5	= 5,
	SREC_TYPE_S6	= 6,
	SREC_TYPE_S7	= 7,
	SREC_TYPE_S8	= 8,
	SREC_TYPE_S9	= 9,
	SREC_TYPE_UNKNOWN,
	SREC_TYPE_ERROR_CHECKSUM,
	SREC_TYPE_ERROR_LENGTH,
};

struct srec_decode_t {
	unsigned char stype;
	unsigned char length;
	unsigned long address;
	unsigned char data[256];
	unsigned char record_length;
};

extern enum srec_type_t srec_decode_record(struct srec_decode_t * srec, char * record);

#endif /* SREC_H_ */
