/****************************************************************************
 *
 * @file	clg.h
 * @brief	This is clg(osc) driver header file for S1C17W34/W35/W36 demonstration.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2015-2015. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 10 Sep, 2015	1.00
 *				- First revision.
 *
 ***************************************************************************/

#ifndef CLG_H__
#define CLG_H__

#include "init.h"


/* --- definition --- */

#define CLG_OSC1_STOP_DETECT		( 1 )		///< Oscillation stop detection(OSC1).
#define CLG_OSC1_STOP_NO_DETECT		( 0 )		///< Not oscillation stop detection(OSC1).

#define CLG_OSC3_SEL_500KHZ			( 0 )
#define CLG_OSC3_SEL_1MHZ			( 1 )
#define CLG_OSC3_SEL_2MHZ			( 2 )
#define CLG_OSC3_SEL_4MHZ			( 3 )


/* --- external declaration --- */

extern void startClgOSC3( void );
extern void startClgOSC3f( unsigned short freq );
extern void stopClgIOSC( void );
extern int switchClgSystemClockOSC3( void );




#endif	// CLG_H__
