/****************************************************************************
 *
 * @file	main.c
 * @brief	This is a loadable program for S1C17W34/W35/W36 sample boot loader.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2018. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 02/01/2018    1.00
 *				- First revision.
 *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "crt0.h"

/* --- typedef --- */
typedef void (*bootloader_entry_t)(void);

/* --- extern --- */
extern bootloader_entry_t  __START_bootloader[];


/* --- prototype --- */
int main(void);

/****************************************************************************
 * main function.
 *
 *  1st. Run the function of bootloader_vector_table[28].
 *  2nd. By hardware reset, the boot loader will start update process.
 *
 *	return EXIT_SUCCESS:Success.
 *
 ****************************************************************************/
int main(void)
{
    asm("brk");

    /// call "start_upgrade" function of the boot loader
    __START_bootloader[28]();

    asm("brk");

    while(1){};

	return EXIT_SUCCESS;
}
