/***************************************************************************
 *
 * @file	tsrvr_reg.h
 * @brief	Definition of the Temperature Sensor/Reference Voltage Generator (TSRVR) Register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013-2015. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 17 Feb, 2015	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef	TSRVR_REG_H__
#define	TSRVR_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif



/// TSRVR Temperature Sensor Control Register.
typedef union TSRVRNTCTL_REG_TAG {
	unsigned short			reg;
	struct TSRVRNTCTL_REG_BIT_TAG {
		unsigned short		TEMPEN		: 1;	///< This bit enables the temperature sensor operation.
		unsigned short		reserved_1	:15;	///< Reserved.
	} bit;
	unsigned char			byte_reg[2];
} TSRVRNTCTL_REG;

/// TSRVR Reference Voltage Generator Control Register.
typedef union TSRVRNVCTL_REG_TAG {
	unsigned short			reg;
	struct TSRVRNVCTL_REG_BIT_TAG {
		unsigned short		VREFAMD		: 2;	///< These bits set the reference voltage generator output voltage.
		unsigned short		reserved_1	:14;	///< Reserved.
	} bit;
	unsigned char			byte_reg[2];
} TSRVRNVCTL_REG;


#ifdef __cplusplus
}
#endif

#endif	// TSRVR_REG_H__


